{
  description = "My system configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
  };
  outputs =
    {
      nixpkgs,
      ...
    }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      packages.${system}.default = pkgs.buildEnv {
        name = "default";
        paths = [
          pkgs.emacs
          pkgs.mg
          pkgs.steam-rom-manager
        ];
      };

      formatter.${system} = pkgs.nixfmt-rfc-style;
      # formatter.${system} = pkgs.alejandra;
    };

  # nixConfig = {
  #   experimental-features = [
  #     "nix-command"
  #     "flakes"
  #   ];
  # };
}
